#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <gtk/gtk.h>
#include "scanner.h"
#include "cart_item.h"
#include "yacos_api.h"

struct mainWindow {
    GtkWidget *main_window;

    YacosApi *api;
    GtkStack *stack_main;

    struct page_intro {
	  GtkWidget *box;
    } page_intro;

    struct page_cart {
	  GtkWidget *box;
	  GtkListBox *list;
    } page_cart;

};

struct mainWindow *mainWindow_new();

void mainWindow_set_yacos_api(struct mainWindow *mainWindow, YacosApi *api);
void mainWindow_scan_tags(YacosScanner *scanner, struct mainWindow *mainWindow);

#endif // MAINWINDOW_H
